Subject: bug#13591: closed (Re: bug#13591: 24.3.50; Problem with sql-mode and font highlighting)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 08 Jan 2014 02:45:03 +0000

Your bug report

#13591: 24.3.50; Problem with sql-mode and font highlighting

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13591: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13591
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13591: 24.3.50; Problem with sql-mode and font highlighting
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Tue, 07 Jan 2014 21:44:01 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Version: 24.4

Dani Moncayo wrote:

> Recipe from "emacs -Q":
> 1. Write this text in the buffer: "select foo from bar".
> 2. M-x sql-mode RET
>
> Here I'd expect that the text I've written was highlighted, but it isn't.

Works in current trunk, but not 24.3, so seems fixed to me.
Please reopen if still a problem for you.

Subject: 24.3.50; Problem with sql-mode and font highlighting
From: Dani Moncayo <[email-masked]>
To: [email-masked]
Date: Wed, 30 Jan 2013 19:35:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Recipe from "emacs -Q":
1. Write this text in the buffer: "select foo from bar".
2. M-x sql-mode RET

Here I'd expect that the text I've written was highlighted, but it isn't.

So, in order to get the correct highlighting I have to do this:
3. Save the buffer with a name ending in ".sql".
4. Kill the buffer.
5. Visit the file created in #3.

I think that the steps 3, 4 and 5 should not be necessary (specially 4 and 5).

In GNU Emacs 24.3.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.24.13)
 of 2013-01-28 on dani-Lenovo-G570
Bzr revision: 111617 [email-masked]
Windowing system distributor `The X.Org Foundation', version 11.0.11300000
System Description:	Ubuntu 12.10

-- 
Dani Moncayo